## python-priority 2.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/priority.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/priority.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/priority"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/priority"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-priority 1.3.0

=== debian/changelog ===
python-priority (1.3.0-1) unstable; urgency=low

  * Initial packaging.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 11 Aug 2018 13:00:46 +0200

=== debian/control ===
Source: python-priority
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3),
 python3-all,
 python3-setuptools
Standards-Version: 4.2.0
Homepage: https://python-hyper.org/priority/
Vcs-Git: https://git.dgit.debian.org/python-priority
Vcs-Browser: https://browse.dgit.debian.org/python-priority.git/

Package: python-priority
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: pure-Python implementation of the HTTP/2 priority tree (Python 2)
 Priority is a pure-Python implementation of the priority logic for HTTP/2, set
 out in RFC 7540 Section 5.3 (Stream Priority). This logic allows for clients
 to express a preference for how the server allocates its (limited) resources to
 the many outstanding HTTP requests that may be running over a single HTTP/2
 connection.
 .
 Specifically, this Python implementation uses a variant of the implementation
 used in the H2O project. This original implementation is also the
 inspiration for nghttp2's priority implementation, and generally produces a
 very clean and even priority stream. The only notable changes from H2O's
 implementation are small modifications to allow the priority implementation to
 work cleanly as a separate implementation, rather than being embedded in a
 HTTP/2 stack directly.
 .
 While priority information in HTTP/2 is only a suggestion, rather than an
 enforceable constraint, where possible servers should respect the priority
 requests of their clients.
 .
 This package is for Python 2.

Package: python3-priority
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: pure-Python implementation of the HTTP/2 priority tree (Python 3)
 Priority is a pure-Python implementation of the priority logic for HTTP/2, set
 out in RFC 7540 Section 5.3 (Stream Priority). This logic allows for clients
 to express a preference for how the server allocates its (limited) resources to
 the many outstanding HTTP requests that may be running over a single HTTP/2
 connection.
 .
 Specifically, this Python implementation uses a variant of the implementation
 used in the H2O project. This original implementation is also the
 inspiration for nghttp2's priority implementation, and generally produces a
 very clean and even priority stream. The only notable changes from H2O's
 implementation are small modifications to allow the priority implementation to
 work cleanly as a separate implementation, rather than being embedded in a
 HTTP/2 stack directly.
 .
 While priority information in HTTP/2 is only a suggestion, rather than an
 enforceable constraint, where possible servers should respect the priority
 requests of their clients.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=priority

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

.PHONY: override_dh_installchangelogs

=== debian/watch ===
# please also check http://pypi.debian.net/priority/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/priority/priority-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-priority 2.0.0

=== debian/changelog ===
python-priority (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Install the upstream changelog automatically.
  * Use dh-sequence-python3.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 24 Dec 2022 18:13:49 +0100

python-priority (1.3.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:36:03 +0100

python-priority (1.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:23:48 -0400

python-priority (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove trailing whitespaces.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/watch: Use https protocol.
  * Bump standards version to 4.4.0 (no changes).
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 12:31:25 +0200

python-priority (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 21:30:17 +0200

=== debian/control ===
Source: python-priority
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.1
Homepage: https://python-hyper.org/priority/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-priority.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-priority

Package: python3-priority
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: pure-Python implementation of the HTTP/2 priority tree (Python 3)
 Priority is a pure-Python implementation of the priority logic for HTTP/2, set
 out in RFC 7540 Section 5.3 (Stream Priority). This logic allows for clients
 to express a preference for how the server allocates its (limited) resources to
 the many outstanding HTTP requests that may be running over a single HTTP/2
 connection.
 .
 Specifically, this Python implementation uses a variant of the implementation
 used in the H2O project. This original implementation is also the
 inspiration for nghttp2's priority implementation, and generally produces a
 very clean and even priority stream. The only notable changes from H2O's
 implementation are small modifications to allow the priority implementation to
 work cleanly as a separate implementation, rather than being embedded in a
 HTTP/2 stack directly.
 .
 While priority information in HTTP/2 is only a suggestion, rather than an
 enforceable constraint, where possible servers should respect the priority
 requests of their clients.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=priority

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
# please also check https://pypi.debian.net/priority/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/priority/priority-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
